org.jbpm.marshalling.impl

## Class AbstractProtobufProcessInstanceMarshaller

- java.lang.Object
- - org.jbpm.marshalling.impl.AbstractProtobufProcessInstanceMarshaller

- All Implemented Interfaces:
    ProcessInstanceMarshaller
  Direct Known Subclasses:
    ProtobufRuleFlowProcessInstanceMarshaller

      public abstract class AbstractProtobufProcessInstanceMarshaller
      extends Object
      implements ProcessInstanceMarshaller

  Default implementation of a process instance marshaller.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractProtobufProcessInstanceMarshaller()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract WorkflowProcessInstanceImpl` | `createProcessInstance()`
    `org.kie.api.runtime.process.NodeInstance` | `readNodeInstance(org.drools.core.marshalling.impl.MarshallerReaderContext context, org.kie.api.runtime.process.NodeInstanceContainer nodeInstanceContainer, org.kie.api.runtime.process.WorkflowProcessInstance processInstance)`
    `protected NodeInstanceImpl` | `readNodeInstanceContent(JBPMMessages.ProcessInstance.NodeInstance _node, org.drools.core.marshalling.impl.MarshallerReaderContext context, org.kie.api.runtime.process.WorkflowProcessInstance processInstance)`
    `org.kie.api.runtime.process.ProcessInstance` | `readProcessInstance(org.drools.core.marshalling.impl.MarshallerReaderContext context)`
    `JBPMMessages.ProcessInstance.NodeInstance` | `writeNodeInstance(org.drools.core.marshalling.impl.MarshallerWriteContext context, org.kie.api.runtime.process.NodeInstance nodeInstance)`
    `protected JBPMMessages.ProcessInstance.NodeInstanceContent` | `writeNodeInstanceContent(JBPMMessages.ProcessInstance.NodeInstance.Builder _node, org.kie.api.runtime.process.NodeInstance nodeInstance, org.drools.core.marshalling.impl.MarshallerWriteContext context)`
    `JBPMMessages.ProcessInstance` | `writeProcessInstance(org.drools.core.marshalling.impl.MarshallerWriteContext context, org.kie.api.runtime.process.ProcessInstance processInstance)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractProtobufProcessInstanceMarshaller

          public AbstractProtobufProcessInstanceMarshaller()

  - ### Method Detail

    - #### writeProcessInstance

          public JBPMMessages.ProcessInstance writeProcessInstance(org.drools.core.marshalling.impl.MarshallerWriteContext context,
                                                                   org.kie.api.runtime.process.ProcessInstance processInstance)
                                                            throws IOException

      Specified by:
        `writeProcessInstance` in interface `ProcessInstanceMarshaller`
      Throws:
        `IOException`

    - #### writeNodeInstance

          public JBPMMessages.ProcessInstance.NodeInstance writeNodeInstance(org.drools.core.marshalling.impl.MarshallerWriteContext context,
                                                                             org.kie.api.runtime.process.NodeInstance nodeInstance)
                                                                      throws IOException

      Specified by:
        `writeNodeInstance` in interface `ProcessInstanceMarshaller`
      Throws:
        `IOException`

    - #### writeNodeInstanceContent

          protected JBPMMessages.ProcessInstance.NodeInstanceContent writeNodeInstanceContent(JBPMMessages.ProcessInstance.NodeInstance.Builder _node,
                                                                                              org.kie.api.runtime.process.NodeInstance nodeInstance,
                                                                                              org.drools.core.marshalling.impl.MarshallerWriteContext context)
                                                                                       throws IOException

      Throws:
        `IOException`

    - #### readProcessInstance

          public org.kie.api.runtime.process.ProcessInstance readProcessInstance(org.drools.core.marshalling.impl.MarshallerReaderContext context)
                                                                          throws IOException

      Specified by:
        `readProcessInstance` in interface `ProcessInstanceMarshaller`
      Throws:
        `IOException`

    - #### createProcessInstance

          protected abstract WorkflowProcessInstanceImpl createProcessInstance()

    - #### readNodeInstance

          public org.kie.api.runtime.process.NodeInstance readNodeInstance(org.drools.core.marshalling.impl.MarshallerReaderContext context,
                                                                           org.kie.api.runtime.process.NodeInstanceContainer nodeInstanceContainer,
                                                                           org.kie.api.runtime.process.WorkflowProcessInstance processInstance)
                                                                    throws IOException

      Specified by:
        `readNodeInstance` in interface `ProcessInstanceMarshaller`
      Throws:
        `IOException`

    - #### readNodeInstanceContent

          protected NodeInstanceImpl readNodeInstanceContent(JBPMMessages.ProcessInstance.NodeInstance _node,
                                                             org.drools.core.marshalling.impl.MarshallerReaderContext context,
                                                             org.kie.api.runtime.process.WorkflowProcessInstance processInstance)
                                                      throws IOException

      Throws:
        `IOException`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.